%define Werror_cflags %nil

%define	version	1.0.0
%define	release	%mkrel 1

Name:		cuneiform
Summary:	An OCR system
Version:	%{version}
Release:	%{release}
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	%{name}-linux.tar.bz2
BuildRequires:	cmake
BuildRequires:	ImageMagick
Suggests:	cuneiform-qt yagf

%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.


%prep

%setup -q -n %{name}-linux

%build
%cmake
%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std
export DONT_FIX_EOL=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc issues.txt *readme.rtf readme.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/*.dat
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_libdir}/*.so.0.9.0

%changelog
* Fri Jul 16 2010 Doktor5000 <rpm@mandrivauser.de> 1.0.0-1mud2010.1
- rebuild for Mandrivalinux 2010.1
- new version 1.0.0

* Sat Apr 03 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-3mud2010.0
- added Suggests for the GUIs cuneiform-qt and yagf

* Mon Mar 29 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-2mud2010.0
- switch to trunk revision 471
- try to fix "PUMA_XFinalrecognition failed" error

* Mon Mar 29 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.0-1mud2010.0
- new version 0.9.0
- added spec-helper fix from MadMax aka MaxiPunkt
- rebuild for 2010.0

* Thu Jan 22 2009 Oliver Burger <rpm@mandrivauser.de> 0.5-1mud2009.0
- new version 0.5

* Wed Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1.1mud2009.0
- Rebuild for 2009.0-final

* Sat Sep 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4-1mud2009.0
- Rebuild for MUde

* Sat Sep 20 2008 MaxiPunkt <email@domain.de> 0.4-1max
- First built for Mandriva
